Package com.massivecraft.factions.util

## Class VisualizeUtil

- java.lang.Object
- - com.massivecraft.factions.util.VisualizeUtil

    public class VisualizeUtil
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected static java.util.Map<java.util.UUID,​java.util.Set<org.bukkit.Location>>` | `playerLocations` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`VisualizeUtil()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `addBlocks​(org.bukkit.entity.Player player, java.util.Collection<org.bukkit.block.Block> blocks, org.bukkit.Material material)` |
`static void` | `addLocation​(org.bukkit.entity.Player player, org.bukkit.Location location, org.bukkit.Material material)` |
`static void` | `addLocation​(org.bukkit.entity.Player player, org.bukkit.Location location, org.bukkit.Material type, byte data)` |
`static void` | `addLocations​(org.bukkit.entity.Player player, java.util.Collection<org.bukkit.Location> locations, org.bukkit.Material material)` |
`static void` | `clear​(org.bukkit.entity.Player player)` |
`static java.util.Set<org.bukkit.Location>` | `getPlayerLocations​(java.util.UUID uuid)` |
`static java.util.Set<org.bukkit.Location>` | `getPlayerLocations​(org.bukkit.entity.Player player)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### playerLocations

    protected static java.util.Map<java.util.UUID,​java.util.Set<org.bukkit.Location>> playerLocations

### Constructor Detail

#### VisualizeUtil

    public VisualizeUtil()

### Method Detail

#### getPlayerLocations

    public static java.util.Set<org.bukkit.Location> getPlayerLocations​(org.bukkit.entity.Player player)

#### getPlayerLocations

    public static java.util.Set<org.bukkit.Location> getPlayerLocations​(java.util.UUID uuid)

#### addLocation

    public static void addLocation​(org.bukkit.entity.Player player,
                                   org.bukkit.Location location,
                                   org.bukkit.Material type,
                                   byte data)

#### addLocation

    public static void addLocation​(org.bukkit.entity.Player player,
                                   org.bukkit.Location location,
                                   org.bukkit.Material material)

#### addLocations

    public static void addLocations​(org.bukkit.entity.Player player,
                                    java.util.Collection<org.bukkit.Location> locations,
                                    org.bukkit.Material material)

#### addBlocks

    public static void addBlocks​(org.bukkit.entity.Player player,
                                 java.util.Collection<org.bukkit.block.Block> blocks,
                                 org.bukkit.Material material)

#### clear

    public static void clear​(org.bukkit.entity.Player player)